MetaClassImpl.Index (Groovy 4.0.15)
Description: declaration: package: groovy.lang, class: MetaClassImpl, class: Index

Package groovy.lang

# Class MetaClassImpl.Index

java.lang.Object
org.codehaus.groovy.util.ComplexKeyHashMap
org.codehaus.groovy.util.SingleKeyHashMap
groovy.lang.MetaClassImpl.Index

Enclosing class:
  MetaClassImpl

@Deprecated public static class MetaClassImpl.Index extends SingleKeyHashMap
Deprecated.
use `LinkedHashMap` instead

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.util.SingleKeyHashMap

  `SingleKeyHashMap.Copier, SingleKeyHashMap.Entry`

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `ComplexKeyHashMap.EntryIterator`

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Index()`
  Deprecated.
  `Index(boolean size)`
  Deprecated.
  `Index(int size)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkEquals(ComplexKeyHashMap.Entry e, Object key)`
  Deprecated.
  `SingleKeyHashMap`
  `getNotNull(CachedClass key)`
  Deprecated.
  `SingleKeyHashMap`
  `getNullable(CachedClass clazz)`
  Deprecated.
  `void`
  `put(CachedClass key, SingleKeyHashMap value)`
  Deprecated.

  ### Methods inherited from class org.codehaus.groovy.util.SingleKeyHashMap

  `containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove`

  ### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap

  `clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Index

    public Index(int size)
    Deprecated.

  - ### Index

    public Index()
    Deprecated.

  - ### Index

    public Index(boolean size)
    Deprecated.

- ## Method Details

  - ### getNotNull

    public SingleKeyHashMap getNotNull(CachedClass key)
    Deprecated.

  - ### put

    public void put(CachedClass key, SingleKeyHashMap value)
    Deprecated.

  - ### getNullable

    public SingleKeyHashMap getNullable(CachedClass clazz)
    Deprecated.

  - ### checkEquals

    public boolean checkEquals(ComplexKeyHashMap.Entry e, Object key)
    Deprecated.